Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.btree
Class Paged.Page

    java.lang.Object
      org.exist.storage.btree.Paged.Page

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  Paged

public final class Paged.Page
extends java.lang.Object
implements java.lang.Comparable

Page

Field Summary
`static long` | `NO_PAGE`

Constructor Summary
`Paged.Page()` Constructor for the Page object
`Paged.Page(long pageNum)` Constructor for the Page object

Method Summary
`int` | `compareTo(java.lang.Object o)`
`void` | `decRefCount()`
`void` | `dumpPage()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getDataPos()`
`long` | `getOffset()` Gets the offset attribute of the Page object
`Paged.PageHeader` | `getPageHeader()` Gets the pageHeader attribute of the Page object
`java.lang.String` | `getPageInfo()` Gets the pageInfo attribute of the Page object
`long` | `getPageNum()`
`int` | `getRefCount()`
`void` | `incRefCount()`
`byte[]` | `read()`
`void` | `remove()`
`void` | `setPageNum(long pageNum)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_PAGE

    public static final long NO_PAGE

See Also:
  Constant Field Values

Constructor Detail

### Paged.Page

    public Paged.Page()

  Constructor for the Page object

### Paged.Page

    public Paged.Page(long pageNum)
               throws java.io.IOException

  Constructor for the Page object

Parameters:
  `pageNum` - Description of the Parameter
Throws:
  `java.io.IOException` - Description of the Exception

Method Detail

### decRefCount

    public void decRefCount()

### getOffset

    public long getOffset()

  Gets the offset attribute of the Page object

  Returns:
    The offset value

### getPageHeader

    public Paged.PageHeader getPageHeader()

  Gets the pageHeader attribute of the Page object

  Returns:
    The pageHeader value

### getPageInfo

    public java.lang.String getPageInfo()

  Gets the pageInfo attribute of the Page object

  Returns:
    The pageInfo value

### getPageNum

    public long getPageNum()

### getRefCount

    public int getRefCount()

### getDataPos

    public int getDataPos()

### incRefCount

    public void incRefCount()

### read

    public byte[] read()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### setPageNum

    public void setPageNum(long pageNum)

### remove

    public void remove()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object obj)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### dumpPage

    public void dumpPage()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.